# $Id$
# Authority: gregzartman
# Name: Greg J. Zartman

Summary: SME Server specific advanced Samba configuration files and templates
%define name smeserver-adv-samba
Name: %{name}
%define version 0.1.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-samba >= 1.14.1-6
Requires: samba >= 3.0.25b
Requires: samba-client >= 3.0.25b
AutoReqProv: no

%changelog
* Fri Apr 11 2008 Greg J. Zartman <greg@leiinc.com> 0.1.0
- Roll initial package.
- Provide configuration parameters to deploy Samba winbindd deamon.
- Add template to nsswitch.conf to configure nss to include winbindd auth.
  The configuration parameters included in this fragment really belong
  in e-smith-base, but we are including it in this package until it it 
  deemed appropriate to move it to e-smith-base.  

%description
This package shall serve as a testbed for advanced Samba functions on the
SME Server.  This package will not conflict with e-smith-samba, but will 
expand upon it.  The PRIMARY design objective of new functions included in 
this package is to implement them with the intent of including them in the 
SME Core packages in a "drop in" fashion (i.e., cut and paste).

Ever effort will be made to maintain this package for use in a 
production network.  However, certain functions provided by this package 
could introduce situations that might comprise the stability of 
the SME Server if not used properly.  This is the nature of a testbed.
smeserver-adv-samba is to e-smith-samba as Fedora Core is to RHEL.

%prep
%setup

%build
mkdir -p root/etc/e-smith/tests
perl createlinks

# Manage supervise and multilog for winbindd.
mkdir -p root/service
ln -s ../var/service/winbindd root/service/winbindd
mkdir -p root/var/service/winbindd/supervise
touch root/var/service/winbindd/down
mkdir -p root/var/service/winbindd/log/supervise
mkdir -p root/var/log/winbindd

# Make storage point for shadowcopies
mkdir -p root/home/e-smith/files/.shadow

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --dir '/var/service/winbindd' 'attr(1755,root,root)' \
    --file '/var/service/winbindd/down' 'attr(0644,root,root)' \
    --file '/var/service/winbindd/run' 'attr(0755,root,root)' \
    --dir '/var/service/winbindd/supervise' 'attr(0700,root,root)' \
    --dir '/var/service/winbindd/log' 'attr(1755,root,root)' \
    --file '/var/service/winbindd/log/run' 'attr(0755,root,root)' \
    --dir '/var/log/winbindd' 'attr(2750,smelog,smelog)' \
    $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%post
chown -R smelog.smelog /var/log/winbindd

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
